Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QFileOpenEvent Class Reference

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file. More...

    #include <QFileOpenEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QString file () const

- 2 public functions inherited from QEvent

## Detailed Description

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file.

File open events will be sent to the QApplication instance when the operating system requests that a file be opened. This is a high level event that can be caused by different user actions depending on the user's desktop environment; for example, double clicking on an file icon in the Finder on Mac OS X.

This event is only used to notify the application of a request. It may be safely ignored.

## Member Function Documentation

### QString QFileOpenEvent::file () const

Returns the file that is being opened.